const mobileReg =
    /^(?:(?:\+|00)86)?1(?:(?:3[\d])|(?:4[5-79])|(?:5[0-35-9])|(?:6[5-7])|(?:7[0-8])|(?:8[\d])|(?:9[189]))\d{8}$/

/**手机号码 */
export function validateContact(rule: any, value: any, callback: any) {
    if (value) {
        if (!mobileReg.test(value)) {
            callback(new Error('请输入正确的电话'))
        } else {
            callback()
        }
    } else {
        callback()
    }
}
